package io;

import java.util.*;

/**
 * The requirements of an object that can be represented
 * in comma-separated-value (CSV) format.
 * 
 * @author CS159 Professors, James Madison University
 * @version 1
 */
public interface CSVRepresentable {

    /**
     * Populate the attributes of this Object from a CSV representation.
     * 
     * @param s The CSV representation
     * @return The object that was used to tokenize the CSV representation
     */
    // They can choose between StringTokenizer and Scanner
    public abstract StringTokenizer fromCSV(String s);

    /**
     * Create a CSV representation of this Object.
     * 
     * @return The CSV representation
     */
    public abstract String toCSV();
}
